const CryptoJS = require("../../page_class/static/util/crypto-js.js")

//加密方法
function Encrypt(word, key) {
	const keyHex = CryptoJS.enc.Utf8.parse(key);
	var encrypted = CryptoJS.TripleDES.encrypt(
		word,
		keyHex, {
			mode: CryptoJS.mode.ECB,
			padding: CryptoJS.pad.Pkcs7,
		}
	);
	return encrypted.toString(CryptoJS.format.OpenSSL)
}
//解密方法
function Decrypt(word, key) {
	const keyHex = CryptoJS.enc.Utf8.parse(key);
	var decrypted = CryptoJS.TripleDES.decrypt({
			ciphertext: CryptoJS.enc.Base64.parse(word)
		},
		keyHex, {
			mode: CryptoJS.mode.ECB,
			padding: CryptoJS.pad.Pkcs7,
		}
	);
	return decrypted.toString(CryptoJS.enc.Utf8)
}
export {
	Decrypt,
	Encrypt
}
